Creating users

The User object represents the data you can send to Signitic.

triangle-exclamation

Endpoint

POST https://api.signitic.app/users

Headers

Name
Type
Description

x-api-key*

String

Your API key

POST /users creates new users and also updates existing users matched by email.

Body example

{
  "users": [
    {
      "email": "[email protected]",
      "enabled": true,
      "path": {
        "group": "Marketing Direction",
        "parent_entity": "Company",
        "entity": "Paris Office"
      },
      "firstname": "Johanna",
      "lastname": "Doe",
      "phone": "+33 1 34 33 22 33",
      "mobile": "+33 6 34 33 22 33",
      "department": "Marketing",
      "jobtitle": "CEO",
      "formula": "Kind regards,<br/>John",
      "vcard_user": true,
      "calendar_link": "calendar.com",
      "github_link": "github.com",
      "linkedin_link": "linkedin.com",
      "whatsapp_link": "whatsapp.com",
      "facebook_link": "facebook.com",
      "instagram_link": "instagram.com",
      "twitter_link": "twitter.com",
      "xing_link": "xing.com",
      "messenger_link": "messenger.com",
      "threads_link": "threads.net",
      "strava_link": "strava.com",
      "address": "1600 Pennsylvania Avenue NW<br/>Washington, DC 20500,<br/>USA",
      "postal_code": "75008",
      "city": "Paris",
      "extra_1": "extra field 1",
      "extra_2": "extra field 2",
      "extra_10": "extra field 10",
      "extra_20": "extra field 20"
    }
  ]
}

Notes

  • path.parent_entity is the preferred key. path.parent is still accepted for backward compatibility.

  • extra_1 to extra_20 are supported.

  • Social fields such as xing_link, messenger_link, threads_link, strava_link, and bluesky_link are accepted in the payload.

Response

200 OK

Common errors

Status
Description

200

{"success": false, "code": "103", "value": "Invalid JSON format."}

200

{"success": false, "code": "104", "value": "Maximum 100 users per batch."}

200

{"success": false, "code": 99, "message": "Invalid API key"} or {"success": false, "code": 99, "message": "Invalid API key."} when the API key is missing or invalid.

Last updated